using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace AutoCatCore.Model
{
	public class VehicleName
	{
		[JsonProperty("original")]
		public string Original { get; set; }

		[JsonProperty("normalized")]
		public string Normalized { get; set; }
	}

	public class VehicleBrand
	{
		[JsonProperty("name")]
		public VehicleName Name { get; set; }

		[JsonProperty("logo")]
		public string Logo { get; set; }
	}

	public class VehicleModel
	{
		[JsonProperty("name")]
		public VehicleName Name { get; set; }
	}

	public class Vehicle
	{
		[Key]
		[JsonProperty("number")]
		public string Number { get; set; }

		[JsonProperty("brand")]
		public VehicleBrand Brand { get; set; }

		[JsonProperty("model")]
		public VehicleModel Model { get; set; }

		[JsonProperty("color")]
		public string Color { get; set; }

		[JsonProperty("year")]
		public int Year { get; set; }

		[JsonProperty("category")]
		public string Category { get; set; }
	}
}
